package com.ruoyi.web.controller.manager;

import cn.hutool.core.convert.Convert;
import cn.hutool.core.text.CharSequenceUtil;
import com.ruoyi.system.domain.TdPropertyEment;
import com.ruoyi.system.service.TdPropertyEmentService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * packageName com.ruoyi.web.controller.manager
 *
 * @author wangxy
 * @version JDK 8
 * @className TdPropertyEmentManager
 * @date 2024/8/20
 * @description 涉密设备信息
 */
@Component
public class TdPropertyEmentManager {

    @Resource
    private TdPropertyEmentService tdPropertyEmentService;

    public List<TdPropertyEment> selectEmentList(TdPropertyEment tdPropertyEment) {
        return tdPropertyEmentService.selectEmentList(tdPropertyEment);
    }
    public boolean saveOrUpdate(TdPropertyEment tdPropertyEment) {
        if (CharSequenceUtil.isBlank(tdPropertyEment.getId())) {
            tdPropertyEment.setCreateTime(new Date());
        }
        return tdPropertyEmentService.saveOrUpdate(tdPropertyEment);
    }

    public TdPropertyEment selecttdEment(String id) {
        return tdPropertyEmentService.getById(id);
    }

    public boolean deletedEmentByids(String ids) {
        List<String> list = Arrays.asList(Convert.toStrArray(ids));
        return tdPropertyEmentService.removeByIds(list);
    }

    public List<TdPropertyEment> selectList() {
        return tdPropertyEmentService.lambdaQuery().list();
    }

}
