package com.ruoyi.system.domain.record.dto;

import com.ruoyi.system.domain.record.SysUserAfter;
import com.ruoyi.system.domain.record.SysUserBefore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * packageName com.ruoyi.system.domain.record.dto
 *
 * @author wangxy
 * @version JDK 8
 * @className UserRecordDTO
 * @date 2024/8/21
 * @description 人员记录信息
 */
@Data
public class UserRecordDTO {

    @ApiModelProperty(value = "变更前人员信息")
    private List<SysUserBefore> userBeforeList;

    @ApiModelProperty(value = "变更后人员信息")
    private List<SysUserAfter> userAfterList;


}
